%global uuid argos@pew.worldwidemann.com

# https://github.com/p-e-w/argos is unmaintained, temporarily use
# mwilck's version which has the most comprehensive updates for GNOME 3.36+
%global forgeurl https://github.com/mwilck/argos
%global commit 2f4322855d77aee8079e24f0835931d1170ec09a
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20211210

Epoch:          1
Name:           gnome-shell-extension-argos
Version:        3
Release:        3.%{date}git%{shortcommit}%{?dist}
Summary:        Create GNOME Shell extensions in seconds

License:        GPLv3
URL:            %{forgeurl}
Source0:        %{url}/archive/%{commit}/argos-%{commit}.tar.gz

# Add GNOME 3.38 and 40 compatibility
#Patch0:        %%{url}/pull/2.patch#/argos-gnome40.patch

Patch10:        argos-ux-cleanup.patch
Patch11:        argos-managed-config-dir.patch

BuildArch:      noarch

Requires:       gnome-shell

%description
Most GNOME Shell extensions do one thing: Add a button with a dropdown menu to
the panel, displaying information and exposing functionality. Even in its
simplest form, creating such an extension is a nontrivial task involving a
poorly documented and ever-changing JavaScript API.

Argos lets you write GNOME Shell extensions in a language that every Linux user
is already intimately familiar with: Bash scripts.

More precisely, Argos is a GNOME Shell extension that turns executables'
standard output into panel dropdown menus. It is inspired by, and fully
compatible with, the BitBar app for macOS. Argos supports many BitBar plugins
without modifications, giving you access to a large library of well-tested
scripts in addition to being able to write your own.


%prep
%autosetup -p1 -n argos-%{commit}


%build


%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/ \
         %{buildroot}/%{_sharedstatedir}/argos
cp -pr %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/


%files
# asked upstream to include license text:
# https://github.com/p-e-w/argos/pull/115
%doc README.md
%dir %{_sharedstatedir}/argos
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Wed Dec 18 2024 sheePackager <packager@shee.org> - 1:3-3.20211210git2f43228
- Security hardening: Switch to managed config dir

* Wed Mar 31 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-6.20200505git23718a8
- Stop using forge macros as they are buggy on EPEL8

* Fri Mar 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-5.20200505git23718a8
- Switch to mwilck's fork which has better support for newer GNOME versions
- Declare support for GNOME 3.38 and 40

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-4.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-3.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 28 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.20200110.fcb4751
- add URLs to pull requests for reference

* Thu Apr 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-1.20200110.fcb4751
- Initial Fedora package
